Summary:	Network audit tools
Name:		dsniff
Version:	2.4
Release:	%mkrel 0.b1.7
Epoch:		2
License:	BSD
Group:		Security
URL:		http://www.monkey.org/~dugsong/%{name}/
Source0:	http://www.monkey.org/~dugsong/%{name}/%{name}-%{version}b1.tar.gz
Patch0:		dsniff-2.4-time_h.patch
Patch1:		dsniff-2.4-mailsnarf_corrupt.patch
Patch2:		dsniff-2.4-pcap_read_dump.patch
Patch3:		dsniff-2.4-multiple_intf.patch
Patch4:		dsniff-2.4-amd64_fix.patch
Patch5:		dsniff-2.4-urlsnarf_zeropad.patch
Patch6:		dsniff-2.4-libnet_11.patch
Patch7:		dsniff-2.4-checksum.patch
Patch8:		dsniff-2.4-openssl_098.patch
Patch9:		dsniff-2.4-sshcrypto.patch
Patch10:	dsniff-2.4-sysconf_clocks.patch
Patch11:	dsniff-2.4-urlsnarf_escape.patch
Patch12:	dsniff-2.4-string_header.patch
Patch13:	dsniff-2.4-arpa_inet_header.patch
Patch14:	dsniff-2.4-pop_with_version.patch
Patch15:	dsniff-2.4-obsolete_time.patch
Patch16:	dsniff-2.4-checksum_libnids.patch
Patch17:	dsniff-2.4-fedora_dirs.patch
Patch18:	dsniff-2.4-glib2.patch
Patch19:	dsniff-2.4-link_layer_offset.patch
Patch20:	dsniff-2.4-tds_decoder.patch
Patch21:	dsniff-2.4-msgsnarf_segfault.patch
Patch22:	dsniff-2.4-urlsnarf_timestamp.patch
Patch100:	dsniff-2.4-allow-cppflags.patch
Patch101:	dsniff-2.4-parallel-make.patch
BuildRequires:	libx11-devel
BuildRequires:	libxmu-devel
BuildRequires:	net-devel >= 1.1.3
BuildRequires:	libnids-devel
BuildRequires:	db-devel
BuildRequires:	openssl-devel
BuildRequires:	pcap-devel

%description
Tools to audit network and to demonstrate the insecurity of cleartext
network protocols. Please do not abuse this software.

%package	webspy
Summary:	Network audit tools
Group:		Security
Requires:	%{name} = %{epoch}:%{version}

%description	webspy
webspy sends URLs sniffed from a client to your local Netscape browser
for display, updated in real-time (as the target surfs, your browser
surfs along with them, automagically). Netscape must be running on
your local X display ahead of time.

%prep
%setup -q
%patch0 -p1 -b .time_h
%patch1 -p1 -b .mailsnarf
%patch2 -p1 -b .pcap_dump
%patch3 -p1 -b .multiple_intf
%patch4 -p1 -b .amd64_fix
%patch5 -p1 -b .urlsnarf_zeropad
%patch6 -p1 -b .libnet_11
%patch7 -p1 -b .checksum
%patch8 -p1 -b .openssl_098
%patch9 -p1 -b .sshcrypto
%patch10 -p1 -b .sysconf_clocks
%patch11 -p1 -b .urlsnarf_escape
%patch12 -p1 -b .string_header
%patch13 -p1 -b .arpa_inet_header
%patch14 -p1 -b .pop_with_version
%patch15 -p1 -b .obsolete_time
%patch16 -p1 -b .checksum_libnids
%patch17 -p1 -b .fedora_dirs
%patch18 -p1 -b .glib2
%patch19 -p1 -b .link_layer_offset
%patch20 -p1 -b .tds_decoder
%patch21 -p1 -b .msgsnarf_segfault
%patch22 -p1 -b .urlsnarf_timestamp

%patch100 -p1 -b .cppflags
%patch101 -p1 -b .parallel-make

chmod 644 CHANGES README TODO

%build
%configure2_5x \
    --libdir="%{_sysconfdir}/%{name}"

%make CPPFLAGS="-I/usr/include/db53 -DHAVE_DB_185_H"

%install
%{__make} install_prefix="%{buildroot}" install

%files
%doc CHANGES README TODO
%config(noreplace) %{_sysconfdir}/%{name}
%exclude %{_sbindir}/webspy
%exclude %{_mandir}/man8/webspy.*
%{_sbindir}/*
%{_mandir}/man8/*

%files webspy
%{_sbindir}/webspy
%{_mandir}/man8/webspy.8*


%changelog

* Sat Feb 09 2013 cjw <cjw> 2:2.4-0.b1.7.mga3
+ Revision: 397641
- patch101: try to fix parallel build on autorebuilder

* Fri Jan 11 2013 umeabot <umeabot> 2:2.4-0.b1.6.mga3
+ Revision: 349140
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 guillomovitch <guillomovitch> 2:2.4-0.b1.5.mga3
+ Revision: 338591
- sync patches with fedora

* Tue Jul 31 2012 fwang <fwang> 2:2.4-0.b1.4.mga3
+ Revision: 276330
- rebuild for db-5.3
- rebuild for db-5.3

* Fri Jul 27 2012 fwang <fwang> 2:2.4-0.b1.3.mga3
+ Revision: 274780
- recognize db5.2

* Sun Feb 26 2012 fwang <fwang> 2:2.4-0.b1.3.mga2
+ Revision: 215128
- fix requires on version

* Mon Jan 16 2012 anssi <anssi> 2:2.4-0.b1.2.mga2
+ Revision: 196741
- readd epoch for smooth upgrade mdv2010.2->mga1->mga2

* Mon Jan 02 2012 guillomovitch <guillomovitch> 2.4-0.b1.1.mga2
+ Revision: 189630
- drop epoch, we don't care about updating from mdv anymore

* Sat Dec 31 2011 guillomovitch <guillomovitch> 1:2.4-0.b1.1.mga2
+ Revision: 189357
- revert to beta1, this beta2 can't be found anywhere
- sync with fedora patches
- fix build with current bdb

  + kharec <kharec>
    - imported package dsniff

